#include <AttribNameDialog.h>
#include <qlabel.h>
#include <qpushbutton.h>

using namespace doste;

AttribNameDialog::AttribNameDialog()
{
	resize(225,100);
	setCaption("Add - Enter Name");
	QLabel *label = new QLabel("Enter Attribute Name:", this);
	label->setGeometry(10, 5, 200, 20);

	m_attribname = new QLineEdit(this);
	m_attribname->setGeometry(10, 30, 205, 25);
	connect(m_attribname, SIGNAL(returnPressed()), this, SLOT(accept()));

	QPushButton *okaybut = new QPushButton(QIconSet(QPixmap("icons/accept.png")), "O.K.", this);
	okaybut->move(10, 60);
	connect(okaybut, SIGNAL(clicked()), this, SLOT(accept()));
	QPushButton *cancelbut = new QPushButton(QIconSet(QPixmap("icons/cancel.png")), "Cancel", this);
	cancelbut->move(10+okaybut->width()+5, 60);
	connect(cancelbut, SIGNAL(clicked()), this, SLOT(reject()));
} 

AttribNameDialog::~AttribNameDialog()
{
}

const QString AttribNameDialog::GetName()
{
	return m_attribname->text();
}

void AttribNameDialog::SetName(const QString &name)
{
	m_attribname->setText(name);
}

