#ifndef _OBJECTFACTORY_
#define _OBJECTFACTORY_

#include <Object.h>

class ObjectFactory
{
	public:
		static Object *CreateNumber(OID obj);
		static Object *CreateCompare(OID obj);
		static Object *CreateUnion(OID obj);
		static Object *CreateUnionD(OID obj);

		static void Init();
		static void Final();

	private:
		static Object *m_compare;
};

#endif
