#ifndef _SCREEN_
#define _SCREEN_

#include <Compiler.h>
#include <qwidget.h>
#include <ObjectNotifiable.h>
#include <Object.h>
#include <list>
#include <objects/DWidget.h>
#include <qdragobject.h>

namespace doste
{
	class Screen : public QWidget, public ObjectNotifiable, public Object
	{
		public:
			Screen(QWidget *parent);
			~Screen();

			void OnChange(OID attrib, OID value, OID value);

		private:
			list<DWidget*> *children;

			void resizeEvent(QResizeEvent *event);
			void dragEnterEvent(QDragEnterEvent *e);
			void dropEvent(QDropEvent *e);
	};
};

#endif
