#include <objects/DWidget.h>
#include <Object.h>
#include <iostream>

DWidget::DWidget(OID par, OID key, OID obj)
{
	this->par = par;
	this->key = key;
	this->object = obj;
};

void DWidget::LoadObject()
{
	Object *wid = Object::Lookup(object);
	if (wid != 0)
	{
		wid->Open();
		wid->AddNotifiable(this, 0);
		int i=0;
		OID key = wid->GetAttribute(i);
		while (key != Error)
		{
			this->OnChange(object, key, wid->Get(key));
			i++;
			key = wid->GetAttribute(i);
		}
		wid->Close();
	}
}

DWidget::~DWidget()
{
	Object *obj = Object::Lookup(object);
	if (obj != 0)
	{
		obj->Open();
		obj->RemoveNotifiable(this);
		obj->Close();
	}
}

void DWidget::OnGarbage(OID obj)
{
	//delete this;
}
