#include <ObjectFactory.h>
#include <Object.h>
#include <objects/Numbers.h>
#include <objects/Base.h>
#include <Index.h>

Object *ObjectFactory::m_compare = 0;

void ObjectFactory::Init()
{
	//m_compare = new Object();
	//m_compare->Open();
	//m_compare->Set(Star, False);
}

void ObjectFactory::Final()
{
	//m_compare->Close();
}

Object *ObjectFactory::CreateNumber(OID obj)
{
	Object *num = new Object(obj);
	num->Open();
	num->QSet(Index::Lookup("add"), (new AddObject(obj))->GetOID());
	num->QSet(Index::Lookup("sub"), (new SubObject(obj))->GetOID());
	num->QSet(Index::Lookup("mul"), (new MulObject(obj))->GetOID());
	num->QSet(Index::Lookup("div"), (new DivObject(obj))->GetOID());
	num->QSet(Index::Lookup("less"), (new LessObject(obj))->GetOID());
	num->Close(false);
	return num;
}

Object *ObjectFactory::CreateCompare(OID obj)
{
	Object *compare = new Object();
	compare->Open();
	compare->QSet(Star, False);
	compare->QSet(obj, True);
	compare->Close(false);
	return compare;
}

Object *ObjectFactory::CreateUnion(OID obj)
{
	return new Union(obj, false);
}

Object *ObjectFactory::CreateUnionD(OID obj)
{
	return new Union(obj, true);
}
