#include <MonitorWindow.h>
#include <Object.h>
#include <Index.h>
#include <Conversion.h>

MonitorWindow::MonitorWindow(QWidget *parent)
	: QWidget(parent)
{
	monitor = new QListView(this);
	monitor->addColumn("Object");
	monitor->addColumn("Attribute");
	monitor->addColumn("Value");

	mainlayout = new QVBoxLayout(this, 2);
	mainlayout->addWidget(monitor);
	buttonlayout = new QHBoxLayout(mainlayout);
	buttonlayout->setAlignment(AlignLeft);

	Object *monitorobj;
	Object *object = Object::Lookup(Device_Ide);
	if (object != 0)
	{
		object->Open();
		monitorobj = new Object();
		object->Set(Index::Lookup("monitor"), monitorobj->GetOID());
		object->Close(false);

		monitorobj->Open();
		monitorobj->AddNotifiable(this, 0);
		monitorobj->Close();
	}
}

MonitorWindow::~MonitorWindow()
{

}

void MonitorWindow::OnChange(OID obj, OID key, OID value)
{
	
}
 
