#ifndef _ATTRIBUTEWINDOW_
#define _ATTRIBUTEWINDOW_

#include <qtextedit.h>
#include <Object.h>
#include <qwidget.h>
#include <ObjectNotifiable.h>
#include <qlabel.h>
#include <qlineedit.h>

#define MAX_ATTRIBUTES	5

namespace doste
{
	class AttributeWindow : public QWidget, public ObjectNotifiable
	{
		Q_OBJECT

		public:
			AttributeWindow(OID obj, OID par, int num, QWidget *parent);
			~AttributeWindow();

			void OnChange(OID obj, OID key, OID value);
			void OnGarbage(OID obj);

		private:
			OID obj;
			OID parent;
			int num;
			OID aattrib, aobj;

			QTextEdit *definition;
			QLabel *attribname;
			QLineEdit *attribvalue;

			void Update();

		private slots:
			void accept();
			void close();
			void updateValue();
	};
};

#endif
