#ifndef _MESSAGEWINDOW_
#define _MESSAGEWINDOW_

#include <qwidget.h>
#include <qpushbutton.h>
#include <Compiler.h>
#include <CompilerNotifiable.h>
#include <qlayout.h>
#include <qtextedit.h>
#include <qtabwidget.h>

class MessageWindow : public QWidget, public CompilerNotifiable
{
	public:
		MessageWindow(QWidget *parent);
		~MessageWindow();

	private:
		QTextEdit *output;
		QPushButton *clear;
		QBoxLayout *mainlayout;
		QBoxLayout *buttonlayout;

		QTabWidget *parwidget;

		void PrintError(const QString &error);
		void PrintWarning(const QString &warning);
		void PrintText(const QString &text);
};

#endif 
