#ifndef _SYNTAX_
#define _SYNTAX_

#include <qsyntaxhighlighter.h>
#include <Compiler.h>

class Syntax : public QSyntaxHighlighter
{
	public:
		Syntax(QTextEdit *textEdit);
		~Syntax();

		int highlightParagraph ( const QString & text, int endStateOfLastPara );

		QFont font_normal;
		QFont font_comment;
		QFont font_string;
		QFont font_command;
		QFont font_number;
		QFont font_object;
		QFont font_oid;
		QFont font_char;

		QColor color_normal;
		QColor color_comment;
		QColor color_string;
		QColor color_command;
		QColor color_number;
		QColor color_object;
		QColor color_oid;
		QColor color_char;
};

#endif
