#ifndef _TRACEWINDOW_
#define _TRACEWINDOW_

#include <qwidget.h>
#include <qpushbutton.h>
#include <Compiler.h>
#include <qlayout.h>
#include <qlistview.h>
#include <qlabel.h>
#include <stdio.h>
#include <stdlib.h>
#include <ObjectNotifiable.h>
#include <qtabwidget.h>

class TraceWindow : public QWidget, public ObjectNotifiable
{
	public:
		TraceWindow(QWidget *parent);
		~TraceWindow();

		void OnChange(OID obj, OID key, OID value);

	private:
		QListView *trace;
		QLabel *objpath;
		QBoxLayout *mainlayout;
		QBoxLayout *buttonlayout;
		OID o,a;

		QTabWidget *parwidget;
};

#endif
