#ifndef _DLABEL_
#define _DLABEL_

#include <objects/DWidget.h>
#include <qlabel.h>

namespace doste
{
	class DLabel : public QLabel, public DWidget
	{
		Q_OBJECT

		public:
			DLabel(OID par, OID key, OID obj, QWidget *parent);
			~DLabel();

			void OnChange(OID obj, OID attrib, OID value);

		private:
			OID m_text;
			OID m_color;
			OID m_font;
	};
};

#endif
