#ifndef _DOPENGL_
#define _DOPENGL_

#include <objects/DWidget.h>
#include <objects/Entities.h>
#include <qgl.h>

namespace doste
{
	class DOpenGL : public DWidget, public QGLWidget
	{
		public:
			DOpenGL(OID par, OID key, OID obj, QWidget *parent);
			~DOpenGL();

			void OnChange(OID obj, OID attrib, OID value);

		private:
			OID texobj;
			list<Entity*> entities;

			void initializeGL();
			void resizeGL(int width, int height);
			void paintGL();

			void LoadTexture(OID obj);
	};
};

#endif 
 
