#ifndef _DWIDGET_
#define _DWIDGET_

#include <ObjectNotifiable.h>

namespace doste
{
	class DWidget : public ObjectNotifiable
	{
		public:
			DWidget(OID par, OID key, OID obj);
			virtual ~DWidget();

			void LoadObject();

			OID GetParent() { return par; };
			OID GetKey() { return key; };
			OID GetObject() { return object; };

			virtual void OnChange(OID obj, OID attrib, OID value) {};
			virtual void OnGarbage(OID obj);

		protected:
			OID par;
			OID key;
			OID object;
	};
};

#endif
